﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Articles.Tutorials.Wpf3D
{
    /// <summary>
    /// Interaktionslogik für Window1.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="MainWindow"/> class.
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Called when user wants to jump to chapter one.
        /// </summary>
        /// <param name="sender">The sender.</param>
        /// <param name="e">The <see cref="System.Windows.RoutedEventArgs"/> instance containing the event data.</param>
        private void OnCmdChapter1Click(object sender, RoutedEventArgs e)
        {
            //Create the control containing code from chapter 1
            Chapter1 chapter1 = new Chapter1();
            chapter1.Width = Double.NaN;
            chapter1.Height = Double.NaN;

            //Show it on the screen
            m_contentGrid.Children.Clear();
            m_contentGrid.Children.Add(chapter1);
        }

        /// <summary>
        /// Called when user wants to jump to chapter two.
        /// </summary>
        /// <param name="sender">The sender.</param>
        /// <param name="e">The <see cref="System.Windows.RoutedEventArgs"/> instance containing the event data.</param>
        private void OnCmdChapter2Click(object sender, RoutedEventArgs e)
        {
            //Create the control containing code from chapter 2
            Chapter2 chapter2 = new Chapter2();
            chapter2.Width = Double.NaN;
            chapter2.Height = Double.NaN;

            //Show it on the screen
            m_contentGrid.Children.Clear();
            m_contentGrid.Children.Add(chapter2);
        }

        /// <summary>
        /// Called when user wants to jump to chapter three.
        /// </summary>
        /// <param name="sender">The sender.</param>
        /// <param name="e">The <see cref="System.Windows.RoutedEventArgs"/> instance containing the event data.</param>
        private void OnCmdChapter3Click(object sender, RoutedEventArgs e)
        {
            //Create the control containing code from chapter 3
            Chapter3 chapter3 = new Chapter3();
            chapter3.Width = Double.NaN;
            chapter3.Height = Double.NaN;

            //Show it on the screen
            m_contentGrid.Children.Clear();
            m_contentGrid.Children.Add(chapter3);
        }

        /// <summary>
        /// Called when user wants to jump to chapter four.
        /// </summary>
        /// <param name="sender">The sender.</param>
        /// <param name="e">The <see cref="System.Windows.RoutedEventArgs"/> instance containing the event data.</param>
        private void OnCmdChapter4Click(object sender, RoutedEventArgs e)
        {
            //Create the control containing code from chapter 4
            Chapter4 chapter4 = new Chapter4();
            chapter4.Width = Double.NaN;
            chapter4.Height = Double.NaN;

            //Show it on the screen
            m_contentGrid.Children.Clear();
            m_contentGrid.Children.Add(chapter4);
        }
    }
}
